<%
  @filter = params[:filter]
  new_filter = params[:new_filter]
  
  if @filter && params[:clear]
    @filter.delete(params[:type])
  elsif @filter && new_filter
    if @filter.has_key?(new_filter[:type]) && @filter[new_filter[:type]].include?(new_filter[:id].to_s)
      @filter[new_filter[:type]].delete(new_filter[:id].to_s)
    elsif @filter.has_key?(new_filter[:type])
      @filter[new_filter[:type]] << new_filter[:id].to_s
    else
      @filter.merge!({new_filter[:type] => [new_filter[:id].to_s]})
    end
  elsif new_filter
    @filter = {new_filter[:type] => [new_filter[:id].to_s]}
  end


  if @user
    @labs = Lab.where(:create_user_id => @user.id).page(params[:page]).per(10)
  else
    @labs = Lab.all.page(params[:page]).per(10)
  end


%>

<table class="table main-list">
	<thead>
		<tr>
			<th class="span1"><%= t('lab.year') %></th>
			<th class="span3"><%= t('lab.lab_title') %></th>
			<th class="span3"><%= t('lab.location') %></th>
		</tr>
	</thead>
	<tbody id="tbody_labs" class="sort-holder">
		
		
	<% @labs.each do |lab| %>	
			
	<tr id="<%= dom_id lab %>" class="with_action">
		<td><%= lab.year %></td>
		<td>
		<%= link_to lab.lab_title, panel_personal_lab_front_end_lab_path(lab) %>
		</td>
		<td><%= lab.location %></td>
	</tr>		
		
	<% end %>	
		
		
	</tbody>
</table>

<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_lab_back_end_lab_path(:user_id => @user.id), :class => 'btn btn-primary pull-right' %>


<div class="form-actions form-fixed pagination-right">
	<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_lab_plugin_lab_path, :class => 'btn btn-primary pull-right' %>
	<div id="lab_pagination" class="paginationFixed">
	<%= paginate @labs, :params => {:direction => params[:direction], :sort => params[:sort], :filter => @filter, :new_filter => nil} %>
	</div>
</div>
